using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an imp corpse" )]
	public class FireImp : BaseCreature
	{
		[Constructable]
		public FireImp() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "imp" );
			HiddenTitle = "the fire imp";
			Body = 258;
			BaseSoundID = 422;
			AnimationMod = 1;
			Hue = 1188;
			Clan = Clan.Demonic;

			SetStr( 111, 165 );
			SetDex( 61, 80 );
			SetInt( 136, 155 );

			SetHits( 105, 120 );

			SetDamage( 15, 20 );

			SetSkill( SkillName.Concentration, 60.1, 84.0 );
			SetSkill( SkillName.Magery, 90.1, 100.0 );
			SetSkill( SkillName.MagicResist, 90.1, 100.0 );
			SetSkill( SkillName.Tactics, 60.1, 84.0 );
			SetSkill( SkillName.HandToHand, 60.1, 84.0 );

			Fame = 3500;
			Karma = -3500;

			VirtualArmor = 40;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Meager );
			AddLoot( LootPack.MedScrolls, 2 );
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 6; } }

		public FireImp( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}